Outpost logoOutpost Docs

Get a paginated list of phone numbers

GET
/v1/phones
x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Query Parameters

limit?string
Default"20"
cursor?string
search?string
tenantIds?array<string>
projectIds?array<string>
country?string
isOptedOut?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/phones"
{  "data": [    {      "phoneE164": "string",      "isOptedOut": true,      "optOutReason": "string",      "optOutAt": 0,      "optOutToken": "string",      "optOutUrl": "string",      "lastOptOutReminderAt": 0,      "lastMessageAt": 0,      "messageCount": 0,      "deliveredCount": 0,      "failedCount": 0,      "blockedCount": 0,      "totalCost": 0,      "isValidated": true,      "validatedAt": 0,      "isValid": true,      "validationErrorMessage": "string",      "carrier": "string",      "country": "string",      "countryCodeIso2": "string",      "city": "string",      "phoneType": "string",      "timezone": "string",      "tenantIds": [        "string"      ],      "projectIds": [        "string"      ],      "createdAt": 0,      "updatedAt": 0    }  ],  "cursor": "string",  "hasMore": true}